[latexila/wip/latexila-next: 18/41] autogen.sh: use gnome-autogen.sh from gnome-common



commit 8793c4105e776361483f62f0391b425120b59ac5
Author: Sébastien Wilmet <swilmet gnome org>
Date:   Mon May 5 17:50:13 2014 +0200

    autogen.sh: use gnome-autogen.sh from gnome-common

 autogen.sh   |   36 +++++++++++-------------------------
 configure.ac |    2 --
 2 files changed, 11 insertions(+), 27 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 945b0f6..cdef5f8 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,34 +1,20 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
-test -n "$srcdir" || srcdir=`dirname "$0"`
-test -n "$srcdir" || srcdir=.
+srcdir=`dirname $0`
+[ -z "$srcdir" ] && srcdir=.
 
-olddir=`pwd`
-cd "$srcdir"
+PKG_NAME=latexila
+REQUIRED_AUTOMAKE_VERSION=1.7
 
-mkdir -p m4
-gtkdocize || exit 1
-
-INTLTOOLIZE=`which intltoolize`
-if test -z $INTLTOOLIZE; then
-        echo "*** No intltoolize found, please install the intltool package ***"
-        exit 1
+if [ ! -f "$srcdir/configure.ac" ]; then
+ echo "$srcdir doesn't look like source directory for $PKG_NAME" >&2
+ exit 1
 fi
 
-AUTORECONF=`which autoreconf`
-if test -z $AUTORECONF; then
-        echo "*** No autoreconf found, please install it ***"
+which gnome-autogen.sh || {
+        echo "You need to install gnome-common from GNOME Git"
         exit 1
-fi
-
-if test -z `which autopoint`; then
-        echo "*** No autopoint found, please install it ***"
-        exit 1
-fi
-
-autopoint --force || exit $?
-AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
+}
 
-cd "$olddir"
-test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
+. gnome-autogen.sh "$@"
diff --git a/configure.ac b/configure.ac
index 7ba428c..87854cf 100644
--- a/configure.ac
+++ b/configure.ac
@@ -123,8 +123,6 @@ LIBS="$LIBS `pkg-config --libs ${dependencies}`"
 
 # Native Language Support
 IT_PROG_INTLTOOL([0.50.1])
-AM_GNU_GETTEXT_VERSION([0.17])
-AM_GNU_GETTEXT([external])
 
 GETTEXT_PACKAGE=${PACKAGE_TARNAME}
 AC_SUBST([GETTEXT_PACKAGE])


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]